## GtkStatusbar

GtkStatusbar

## Functions

GtkWidget * | gtk_statusbar_new ()
guint | gtk_statusbar_get_context_id ()
guint | gtk_statusbar_push ()
void | gtk_statusbar_pop ()
void | gtk_statusbar_remove ()
void | gtk_statusbar_remove_all ()
void | gtk_statusbar_set_has_resize_grip ()
gboolean | gtk_statusbar_get_has_resize_grip ()
GtkWidget * | gtk_statusbar_get_message_area ()

## Properties

gboolean | has-resize-grip | Read / Write

## Style Properties

GtkShadowType | shadow-type | Read

## Signals

void | text-popped | Run Last
void | text-pushed | Run Last

## Types and Values

struct | GtkStatusbar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GtkStatusbar

## Implemented Interfaces

GtkStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_statusbar_new ()

    GtkWidget *
    gtk_statusbar_new (void);

Creates a new GtkStatusbar ready for messages.

#### Returns

the new GtkStatusbar

### gtk_statusbar_get_context_id ()

    guint
    gtk_statusbar_get_context_id (GtkStatusbar *statusbar,
                                  const gchar *context_description);

Returns a new context identifier, given a description of the actual context. Note that the description is not shown in the UI.

#### Parameters

statusbar | a GtkStatusbar |
context_description | textual description of what context the new message is being used in |

#### Returns

an integer id

### gtk_statusbar_push ()

    guint
    gtk_statusbar_push (GtkStatusbar *statusbar,
                        guint context_id,
                        const gchar *text);

Pushes a new message onto a statusbar's stack.

#### Parameters

statusbar | a GtkStatusbar |
context_id | the message's context id, as returned by `gtk_statusbar_get_context_id()` |
text | the message to add to the statusbar |

#### Returns

a message id that can be used with `gtk_statusbar_remove()`.

### gtk_statusbar_pop ()

    void
    gtk_statusbar_pop (GtkStatusbar *statusbar,
                       guint context_id);

Removes the first message in the GtkStatusBar's stack with the given context id.

Note that this may not change the displayed message, if the message at the top of the stack has a different context id.

#### Parameters

statusbar | a GtkStatusBar |
context_id | a context identifier |

### gtk_statusbar_remove ()

    void
    gtk_statusbar_remove (GtkStatusbar *statusbar,
                          guint context_id,
                          guint message_id);

Forces the removal of a message from a statusbar's stack. The exact `context_id` and `message_id` must be specified.

#### Parameters

statusbar | a GtkStatusBar |
context_id | a context identifier |
message_id | a message identifier, as returned by `gtk_statusbar_push()` |

### gtk_statusbar_remove_all ()

    void
    gtk_statusbar_remove_all (GtkStatusbar *statusbar,
                              guint context_id);

Forces the removal of all messages from a statusbar's stack with the exact `context_id` .

#### Parameters

statusbar | a GtkStatusBar |
context_id | a context identifier |

Since: 2.22

### gtk_statusbar_set_has_resize_grip ()

    void
    gtk_statusbar_set_has_resize_grip (GtkStatusbar *statusbar,
                                       gboolean setting);

Sets whether the statusbar has a resize grip. `TRUE` by default.

#### Parameters

statusbar | a GtkStatusBar |
setting | `TRUE` to have a resize grip |

### gtk_statusbar_get_has_resize_grip ()

    gboolean
    gtk_statusbar_get_has_resize_grip (GtkStatusbar *statusbar);

Returns whether the statusbar has a resize grip.

#### Parameters

statusbar | a GtkStatusBar |

#### Returns

`TRUE` if the statusbar has a resize grip.

### gtk_statusbar_get_message_area ()

    GtkWidget *
    gtk_statusbar_get_message_area (GtkStatusbar *statusbar);

Retrieves the box containing the label widget.

#### Parameters

statusbar | a GtkStatusBar |

#### Returns

a GtkBox.

[transfer none]

Since: 2.20

## Types and Values

### struct GtkStatusbar

    struct GtkStatusbar;

## Property Details

### The `“has-resize-grip”` property

      “has-resize-grip”          gboolean

Whether the statusbar has a grip for resizing the toplevel window.

Owner: GtkStatusbar

Flags: Read / Write

Default value: TRUE

Since: 2.4

## Style Property Details

### The `“shadow-type”` style property

      “shadow-type”              GtkShadowType

Style of bevel around the statusbar text.

Owner: GtkStatusbar

Flags: Read

Default value: GTK_SHADOW_IN

## Signal Details

### The `“text-popped”` signal

    void
    user_function (GtkStatusbar *statusbar,
                   guint         context_id,
                   char         *text,
                   gpointer      user_data)

Is emitted whenever a new message is popped off a statusbar's stack.

#### Parameters

statusbar | the object which received the signal. |
context_id | the context id of the relevant message/statusbar. |
text | the message that was just popped. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“text-pushed”` signal

    void
    user_function (GtkStatusbar *statusbar,
                   guint         context_id,
                   char         *text,
                   gpointer      user_data)

Is emitted whenever a new message gets pushed onto a statusbar's stack.

#### Parameters

statusbar | the object which received the signal. |
context_id | the context id of the relevant message/statusbar. |
text | the message that was pushed. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last